Skip to main content
`Ctrl`+`K`

# `projection`: projection algorithm

Warning

This module is known to be buggy in version 0.6: Do NOT use it without having checked it provides proper results

class Projection(slice_shape, angles, axis_position=None, detector_width=None, normalize=False, ctx=None, devicetype='all', platformid=None, deviceid=None, profile=False)

  A class for performing a tomographic projection (Radon Transform) using OpenCL

  cpy2d_to_slice(src)

    copy a Nx * Ny slice to self.d_slice which is (Nx+2)*(Ny+2)

  projection(image=None, dst=None)

    Perform the projection on an input image

    Parameters:

      image – Image to project

    Returns:

      A sinogram

  transfer_to_texture(image)

    Transfer an array to a texture.

    Parameters:

      - arr – Input array. Can be a numpy array or a pyopencl array.

      - tex_ref – texture reference (pyopencl._cl.Image).